org.apache.struts2.config

## Class DefaultPropertiesProvider

- java.lang.Object
- - org.apache.struts2.config.PropertiesConfigurationProvider
  - - org.apache.struts2.config.DefaultPropertiesProvider

- All Implemented Interfaces:
    ConfigurationProvider, ContainerProvider, PackageProvider

      public class DefaultPropertiesProvider
      extends PropertiesConfigurationProvider

  Loads the default properties, separate from the usual struts.properties loading

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertiesProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Called before removed from the configuration manager
    `void` | `init(Configuration configuration)` Initializes with the configuration
    `void` | `register(ContainerBuilder builder, LocatableProperties props)` Registers beans and properties for the Container

    - ### Methods inherited from class org.apache.struts2.config.PropertiesConfigurationProvider

      `loadPackages, loadSettings, needsReload`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertiesProvider

          public DefaultPropertiesProvider()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Description copied from interface: `ContainerProvider`
      Called before removed from the configuration manager
      Specified by:
        `destroy` in interface `ContainerProvider`
      Overrides:
        `destroy` in class `PropertiesConfigurationProvider`

    - #### init

          public void init(Configuration configuration)
                    throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Initializes with the configuration
      Specified by:
        `init` in interface `ContainerProvider`
      Specified by:
        `init` in interface `PackageProvider`
      Overrides:
        `init` in class `PropertiesConfigurationProvider`
      Parameters:
        `configuration` - The configuration
      Throws:
        `ConfigurationException` - If anything goes wrong

    - #### register

          public void register(ContainerBuilder builder,
                               LocatableProperties props)
                        throws ConfigurationException

      Description copied from interface: `ContainerProvider`
      Registers beans and properties for the Container
      Specified by:
        `register` in interface `ContainerProvider`
      Overrides:
        `register` in class `PropertiesConfigurationProvider`
      Parameters:
        `builder` - The builder to register beans with
        `props` - The properties to register constants with
      Throws:
        `ConfigurationException` - If anything goes wrong

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.